package m05bDescripcionEJB;

/**
 * This is the Primary Key for the Entity EJB <tt>m05DescripcionEB</tt>.
 *
 * @see     m05.exe.Descripcion 
 * @see     m05.exe.M05DescripcionEB
 * @see     m05.exe.M05DescripcionEBHome
 * @see     m05.exe.M05DescripcionEBBean 
 * @author <a href="mailto:paco.gomez@terra.com">Paco Gomez</a>.
 *         Professional J2EE Programming with BEA WebLogic Server, 
 *         by Gomez & Zadrozny, Copyright &#169; 2000. 
 */
public class m05DescripcionPK implements java.io.Serializable {

  /** 
   * This is the primary key.
   * It is the descripcion codigo, which is the primary key 
   * in table <tt>m0599t00_descripcionS</tt>.
   */
  public long des_tabla;
  public String des_codigo;
  /**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean   
   */
  public boolean equals(Object obj) {
    if (obj instanceof m05DescripcionPK) {
      m05DescripcionPK otherKey = (m05DescripcionPK) obj;
      return ((this.des_tabla == otherKey.des_tabla &&
              this.des_codigo == otherKey.des_codigo ));
    }
    else
      return false;
  }

  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {
    return (int)(this.des_tabla + this.des_codigo.hashCode());
    /*String resultado;
    resultado=Integer.parseInt(this.des_tabla) + Integer.parseInt(this.des_codigo);
    return resultado.hashCode();*/
  }    
  
}
